grk::minpf_plugin_manager Struct Reference

`#include <minpf_plugin_manager.h>`

## Public Attributes

minpf_dynamic_library * | dynamic_libraries [MINPF_MAX_PLUGINS]
size_t | num_libraries
minpf_exit_func | exit_functions [MINPF_MAX_PLUGINS]
size_t | num_exit_functions
minpf_platform_services | platformServices
std::map< const char *, minpf_register_params * > * | plugins

## Member Data Documentation

## dynamic_libraries

minpf_dynamic_library* grk::minpf_plugin_manager::dynamic_libraries[MINPF_MAX_PLUGINS]

Referenced by grk::minpf_cleanup_plugin_manager().

## exit_functions

minpf_exit_func grk::minpf_plugin_manager::exit_functions[MINPF_MAX_PLUGINS]

Referenced by grk::minpf_cleanup_plugin_manager().

## num_exit_functions

size_t grk::minpf_plugin_manager::num_exit_functions

Referenced by grk::minpf_cleanup_plugin_manager().

## num_libraries

size_t grk::minpf_plugin_manager::num_libraries

Referenced by grk::minpf_cleanup_plugin_manager().

## platformServices

minpf_platform_services grk::minpf_plugin_manager::platformServices

## plugins

std::map<const char*, minpf_register_params*>* grk::minpf_plugin_manager::plugins

Referenced by grk::minpf_cleanup_plugin_manager().

The documentation for this struct was generated from the following file:

- minpf_plugin_manager.h